import { ColumnType } from 'antd/es/table';
import { FC, MouseEventHandler, Ref } from 'react';
import { DensitySize } from '../BitzTableProvider';
export interface Action {
    key?: string;
    icon?: React.ReactNode;
    label?: React.ReactNode;
    type?: 'divider' | 'group';
    onClick?: MouseEventHandler;
    children?: Action[];
}
export interface BitzTableActionProps {
    size?: DensitySize;
    actionGroup: Action[];
    refInstance?: Ref<HTMLDivElement>;
}
export declare const BitzTableAction: FC<BitzTableActionProps>;
type withBitzTableActionProps<T> = Omit<BitzTableActionProps, 'refInstance'> & Omit<ColumnType<T>, 'width' | 'render'>;
/** 表格操作列 */
declare const BitzTableActionCol: (props: withBitzTableActionProps<unknown>) => {
    width: number;
    render: () => import("react/jsx-runtime").JSX.Element;
} & Omit<withBitzTableActionProps<unknown>, "size" | "actionGroup">;
export default BitzTableActionCol;
